<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="presionSanguinea">
        <h2 class="jh-entity-heading" data-cy="presionSanguineaDetailsHeading">
          <span v-text="$t('gatewayApp.manillaPresionSanguinea.detail.title')">PresionSanguinea</span> {{ presionSanguinea.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.manillaPresionSanguinea.presionSanguineaSistolica')">Presion Sanguinea Sistolica</span>
          </dt>
          <dd>
            <span>{{ presionSanguinea.presionSanguineaSistolica }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaPresionSanguinea.presionSanguineaDiastolica')">Presion Sanguinea Diastolica</span>
          </dt>
          <dd>
            <span>{{ presionSanguinea.presionSanguineaDiastolica }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaPresionSanguinea.fechaRegistro')">Fecha Registro</span>
          </dt>
          <dd>
            <span v-if="presionSanguinea.fechaRegistro">{{ $d(Date.parse(presionSanguinea.fechaRegistro), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaPresionSanguinea.user')">User</span>
          </dt>
          <dd>
            {{ presionSanguinea.user ? presionSanguinea.user.login : '' }}
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="presionSanguinea.id"
          :to="{ name: 'PresionSanguineaEdit', params: { presionSanguineaId: presionSanguinea.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./presion-sanguinea-details.component.ts"></script>
